Skip to main content
GET
List Triggers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agent_id
string<uuid> | null

Filter by agent ID

trigger_type
string | null

Filter by trigger type (cron, webhook)

active_only
boolean
default:false

Only return active triggers

limit
integer
default:100

Maximum number of triggers to return

Required range: 1 <= x <= 1000

Response

Successful Response

agent_id
string<uuid>
required
conditions
Conditions · object
required
consecutive_failures
integer
required
created_at
string
required
created_by
string
required
description
string
required
failure_threshold
integer
required
id
string<uuid>
required
is_active
boolean
required
name
string
required
task_parameters
Task Parameters · object
required
trigger_type
string
required
updated_at
string
required
allowed_methods
string[] | null
cron_expression
string | null
data_extractor
string | null
event_types
string[]
has_channel_credentials
boolean
default:false
last_execution_at
string | null
next_run_time
string | null
timezone
string | null
validation_rules
Validation Rules · object | null
webhook_config
Webhook Config · object | null
webhook_id
string | null
webhook_type
string | null